<?php
include "ver_sessao.php";
include "conecta.php";



// GARANTE QUE O ID DO USUÁRIO VAI SEMPRE EXISTIR NA SESSÃO
if ( intval($_SESSION[user_nb_id]) == 0 ) {

	echo "ERRO: Sessão expirada!";
	exit;
}





function raiz_ncm($ncm_original) {

	$qtde = strlen($ncm_original);

	$retorno = $ncm_original;
	for ($i=0; $i<$qtde; $i++) {
		// REMOVE UM DÍGITO ATÉ LOCALIZAR O CEST
		$retorno = substr($ncm_original,0,($qtde-$i));
		// echo "TESTANDO: $retorno DE |$ncm_original|<hr>";
		$sql_cest = selecionar('cest','cest_tx_status',"!inativo"," AND cest_tx_ncm LIKE '$retorno' ");
		if (num_linhas($sql_cest)>0)
			break;
	}

	return $retorno;
}





function exclui_produto(){
	
	remover('produto',$_POST[id]);
	index();
	exit;	
}


function atualiza_produto(){

	$campos = array(prod_tx_codigo,prod_tx_codbarras,prod_tx_nome,prod_nb_categoria,prod_nb_marca,prod_tx_valorVenda);
	$valores= array($_POST[codigo],$_POST[codigobarras],$_POST[nome],$_POST[categoria],$_POST[marca],valor($_POST[valor],1));

	if ( $_POST[id]>0 ) {
		atualizar('produto',$campos,$valores,$_POST[id]);
	}

	exit;
}






function index(){
	global $CACTUX_CONF;

	
	if( $_POST[busca_cod] ){
		$extra .= " AND prod_nb_id='$_POST[busca_cod]'" ;
	}
	if( $_POST[busca_cod2] ){
		$extra .= " AND prod_tx_codigo LIKE '$_POST[busca_cod2]'" ;
	}
	
	if( $_POST[busca_codbarras] ){
		$extra .= " AND prod_tx_codbarras LIKE '$_POST[busca_codbarras]'" ;
	}
	
	if( $_POST[busca_nome] !='' ){
		
		$extra .= " AND prod_tx_nome LIKE '%$_POST[busca_nome]%'";
	}
	

	if( $_POST[busca_categoria] !='' ){
		$extra .= " AND prod_nb_categoria = '$_POST[busca_categoria]' ";
		$a_cate = carregar('categoria',$_POST[busca_categoria]);
	}

	if( $_POST[busca_marca] !='' ){
		$extra .= " AND prod_nb_marca = '$_POST[busca_marca]' ";
		$a_marca = carregar('marca',$_POST[busca_marca]);
	}
	
	cabecalho('Correção de Produtos',2);


	?><script src="<?=$CACTUX_CONF[path]?>jquery.min.js" type="text/javascript"></script>
	<script type="text/javascript" src="<?=$CACTUX_CONF[path]?>jquery.blockUI.js"></script><?


	
	$sql = selecionar("produto",'prod_tx_status','ativo'," AND (prod_tx_servico != 'Sim' OR prod_tx_servico IS NULL) AND prod_nb_id > '99' $extra ORDER BY prod_tx_nome",1);

	
	$BUSCA  = grid::gerar_paginacao($sql,'','',50);
	
	//CONSULTA
	$c[] = cactux::campo('ID','busca_cod',$_POST[busca_cod],1);
	$c[] = cactux::campo('Código','busca_cod2',$_POST[busca_cod2],1);
	$c[] = cactux::campo('Código de Barras','busca_codbarras',$_POST[busca_codbarras],2);
	$c[] = cactux::campo('Descrição','busca_nome',str_replace("%20"," ",$_POST[busca_nome]),2);
	$c[] = cactux::combo_bd('!Marca:','busca_marca',$a_marca[marc_nb_id],$a_marca[marc_tx_nome],2,'marca');
	$c[] = cactux::combo_bd('!Categoria:','busca_categoria',$a_cate[cate_nb_id],$a_cate[cate_tx_nome],2,'categoria');
	//---------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$status = cactux::msg_status();
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4],$c[5]);
	cactux::linha_fieldset($buscar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();




	$a_array_categoria=array();
	$sql_cate=selecionar('categoria','cate_tx_status','!inativo'," ORDER BY cate_tx_nome ASC");
	while($a_cate=carrega_array($sql_cate)){
		$a_array_categoria[] = $a_cate;
	}

	$a_array_marca=array();
	$sql_marca=selecionar('marca','marc_tx_status','!inativo'," ORDER BY marc_tx_nome ASC");
	while($a_marca=carrega_array($sql_marca)){
		$a_array_marca[] = $a_marca;
	}
	


	
	$cabecalho[] = array('ID','CÓDIGO','CÓDIGO DE BARRAS','NOME','MARCA','CATEGORIA','VALOR','','');
	$cabecalho[] = 'c,c,c,e,e,e,e,e,c,c,c,c';
	$cabecalho[] = '5%,5%,10%,,15%,15%,10%,2%,2%';
	
	while ( $a = carrega_array($BUSCA[0]) ){

		$codigo_prod = cactux::campo_simples('produto_codigo[]',$a[prod_tx_codigo],1," id=produto_codigo_$a[prod_nb_id] ");
		$codigobarras_prod = cactux::campo_simples('produto_codigobarras[]',$a[prod_tx_codbarras],1," id=produto_codigobarras_$a[prod_nb_id] ");
		$nome_prod = cactux::campo_simples('produto_nome[]',$a[prod_tx_nome],1," id=produto_nome_$a[prod_nb_id] ");

		$selec_cate="<select style='width: 100%;' id=produto_categoria_$a[prod_nb_id] name=produto_categoria[]>";
			$array_opcao="<option value=''></option>";
			foreach ($a_array_categoria as $key => $a_cate) {
				if($a[prod_nb_categoria]==$a_cate[cate_nb_id])
					$selected="selected";
				else
					$selected = '';
				$array_opcao .= "<option $selected value='$a_cate[cate_nb_id]'>$a_cate[cate_tx_nome]</option>";
			}
			$selec_cate.="$array_opcao";
		$selec_cate.='</select>';

		$selec_marca="<select style='width: 100%;' id=produto_marca_$a[prod_nb_id] name=produto_marca[]>";
			$array_opcao="<option value=''></option>";
			foreach ($a_array_marca as $key => $a_marca) {
				if($a[prod_nb_marca]==$a_marca[marc_nb_id])
					$selected="selected";
				else
					$selected = '';
				$array_opcao .= "<option $selected value='$a_marca[marc_nb_id]'>$a_marca[marc_tx_nome]</option>";
			}
			$selec_marca.="$array_opcao";
		$selec_marca.='</select>';

		$valor_prod = cactux::campo_simples('produto_valor[]',mostra_valor($a[prod_tx_valorVenda],1),1," id=produto_valor_$a[prod_nb_id] onkeyup='mascara_reais(this);' ");

		$atualizar= "<a href=javascript:atualiza_produto($a[prod_nb_id])><img id=produto_img_$a[prod_nb_id] src='cactus/imagens/confirmar2.png' border=0></a>";
		$excluir  = ".icone_excluir($a[prod_nb_id],exclui_produto)";
		
		$valores[] = array($a[prod_nb_id],$codigo_prod,$codigobarras_prod,$nome_prod,$selec_marca,$selec_cate,$valor_prod,$atualizar,$excluir);
	}


	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);

	if( $_POST[sistemacactus] == '' )
		$sistema_cactus = $_GET[sistemacactus];
	else
		$sistema_cactus = $_POST[sistemacactus];

	$path_parts = pathinfo( __FILE__ ); // OBTEM O NOME DO ARQUIVO ATUAL
	cactux::acao_botao('form_atualiza','atualizar_produto','id,codigo,codigobarras,nome,categoria,marca,valor','0,,,,,,');


	javascript("

		function atualiza_produto(id_prod) {

			var codigo      = document.getElementById('produto_codigo_'+id_prod).value;
			var codigobarras= document.getElementById('produto_codigobarras_'+id_prod).value;
			var nome        = document.getElementById('produto_nome_'+id_prod).value;
			var categoria   = document.getElementById('produto_categoria_'+id_prod).value;
			var marca       = document.getElementById('produto_marca_'+id_prod).value;
			var valor       = document.getElementById('produto_valor_'+id_prod).value;


			var a_dados = {
				id: id_prod,
				codigo: codigo,
				codigobarras: codigobarras,
				nome: nome,
				categoria: categoria,
				marca: marca,
				valor: valor,
				sistemacactus: '$sistema_cactus',
				acao: 'atualiza_produto'
			};


			// BLOQUEIA A TELA ANTES DE DAR O SUBMIT
			$.blockUI({ message: \"<h1>Processando...</h1>\" });

			// ENVIA OS DADOS VIA POST E VERIFICA SE FUNCIOU OU NÃO
			$.post(\"$path_parts[basename]\", a_dados).done(function(data) {
				// alert(data);
				document.getElementById('produto_img_'+id_prod).src = 'cactus/imagens/confirmar.png';
			}).fail(function() {
				alert('FALHA AO ATUALIZAR!');
			});

			// DESFAZ O BLOQUEIO
			$.unblockUI();
		}

	");

	
	rodape();
	
}

CONTROLE();
?>